mipicsiss: pipeline_program.h File Reference

| mipicsiss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
pipeline_program.h File Reference

## Overview

This header file contains the definitions for structures for video pipeline and extern declarations.

    MODIFICATION HISTORY:

    Ver   Who    Date     Changes

    1.00  pg    12/07/17 Initial release.

## Functions
u32 | SetupDSI (void)
| This function programs MIPI DSI SS with the required timing paramters. More...
u32 | InitTreadyGpio (void)
| This function initializes GPIO IP for tready selection and gets config parameters. More...
u32 | InitializeCsiRxSs (void)
| This function programs MIPI CSI SS with the required timing paramters. More...
u32 | InitializeVdma (void)
| This function initializes Axi VDMA IP and gets config parameters. More...
void | SetColorDepth (void)
| This function sets colour depth value getting from MIPI CSI2 RX SS. More...
void | SelectDSIOuptut (void)
| This function programs GPIO to 0 to select tready from MIPI DSI SS. More...
void | SelectHDMIOutput (void)
| This function programs GPIO to '1' to select tready from HDMI. More...
int | InitIIC (void)
| This function writes, reads, and verifies the data to the IIC EEPROM. More...
void | SetupIICIntrHandlers (void)
| This function sets send, receive and error handlers for IIC interrupts. More...
int | MuxInit (void)
| This function initializes the IIC MUX to select EEPROM. More...
int | SetupCameraSensor (void)
| This function setup Camera sensor programming wrt resolution selected. More...
int | StartSensor (void)
| This function starts camera sensor to transmit captured video. More...
void | InitCSC2TPG_Vdma (void)
| This function provides information to program vdma wrt BPC. More...
void | PrintPipeConfig (void)
| This function prints the video pipeline information. More...
void | DisableCSI (void)
| This function disables MIPI CSI IP. More...
void | DisableTPGVdma (void)
| This function stops VDMA IP transactions. More...
void | DisableScaler (void)
| This function stops VProc_SS scalar IP. More...
void | DisableDSI (void)
| This function disables MIPI DSI SS. More...
void | InitDSI (void)
| This function programs MIPI DSI SS with the required timing paramters. More...
void | InitVprocSs_Scaler (int count)
| This function initializes and configures VProcSS IP for scalar mode with the given input and output width and height values. More...
void | EnableCSI (void)
| This function enables MIPI CSI IP. More...

## Function Documentation

void DisableCSI | ( | void |  | ) |

This function disables MIPI CSI IP.

- This function disables MIPI CSI IP
  - - Returns
        None.
      Note
        None.
      Returns
        None.
      Note
        None.

References XCsiSs_Reset().

void DisableDSI | ( | void |  | ) |

This function disables MIPI DSI SS.

- This function disables MIPI DSI SS.
  - - Returns
        None.
      Note
        None.
      Returns
        None.
      Note
        None.

void DisableScaler | ( | void |  | ) |

This function stops VProc_SS scalar IP.

Returns
  None.

Note
  None.

void DisableTPGVdma | ( | void |  | ) |

This function stops VDMA IP transactions.

Returns
  None.

Note
  None.

void EnableCSI | ( | void |  | ) |

This function enables MIPI CSI IP.

- This function enables MIPI CSI IP
  - - Returns
        None.
      Note
        None.
      Returns
        None.
      Note
        None.

References XCsiSs_Activate(), XCsiSs_Configure(), and XCsiSs_Reset().

Referenced by main().

void InitCSC2TPG_Vdma | ( | void |  | ) |

This function provides information to program vdma wrt BPC.

Returns
  None.

Note
  None.

References InitVDMA().

void InitDSI | ( | void |  | ) |

This function programs MIPI DSI SS with the required timing paramters.

Returns
  None.

Note
  None.

u32 InitializeCsiRxSs | ( | void |  | ) |

This function programs MIPI CSI SS with the required timing paramters.

Returns
  None.

Note
  None.

This function programs MIPI CSI SS with the required timing paramters.

Returns
  XST_SUCCESS if successful or else XST_FAILURE.

Note
  None.

References XCsiSs_Config::BaseAddr, XCsiSs_CfgInitialize(), and XCsiSs_LookupConfig().

Referenced by main().

u32 InitializeVdma | ( | void |  | ) |

This function initializes Axi VDMA IP and gets config parameters.

Returns
  XST_SUCCESS if successful or else XST_FAILURE.

Note
  None.

int InitIIC | ( | void |  | ) |

This function writes, reads, and verifies the data to the IIC EEPROM.

It does the write as a single page write, performs a buffered read.

Parameters

  None. |

Returns
  XST_SUCCESS if successful else XST_FAILURE.

Note
  None.

This function writes, reads, and verifies the data to the IIC EEPROM.

Returns
  XST_SUCCESS if successful else XST_FAILURE.

Note
  None.

Referenced by main().

u32 InitTreadyGpio | ( | void |  | ) |

This function initializes GPIO IP for tready selection and gets config parameters.

Returns
  XST_SUCCESS if successful or else XST_FAILURE.

Note
  None.

void InitVprocSs_Scaler | ( | int | count | ) |

This function initializes and configures VProcSS IP for scalar mode with the given input and output width and height values.

Parameters

  count | is a flag value to initialize IP only once.

Returns
  None.

Note
  None.

int MuxInit | ( | void |  | ) |

This function initializes the IIC MUX to select EEPROM.

Parameters

  None. |

Returns
  XST_SUCCESS if pass, otherwise XST_FAILURE.

Note
  None.

References FmcWriteData().

void PrintPipeConfig | ( | void |  | ) |

This function prints the video pipeline information.

Returns
  None.

Note
  None.

void SelectDSIOuptut | ( | void |  | ) |

This function programs GPIO to 0 to select tready from MIPI DSI SS.

Returns
  None.

Note
  None.

void SelectHDMIOutput | ( | void |  | ) |

This function programs GPIO to '1' to select tready from HDMI.

Returns
  None.

Note
  None.

void SetColorDepth | ( | void |  | ) |

This function sets colour depth value getting from MIPI CSI2 RX SS.

Returns
  None.

Note
  None.

References XCsiSs::Config, GetColorDepth(), and XCsiSs_Config::PixelFormat.

int SetupCameraSensor | ( | void |  | ) |

This function setup Camera sensor programming wrt resolution selected.

Returns
  XST_SUCCESS if successful else XST_FAILURE.

Note
  None.

References SensorReadData(), and SensorWriteData().

u32 SetupDSI | ( | void |  | ) |

This function programs MIPI DSI SS with the required timing paramters.

Returns
  None.

Note
  None.

This function programs MIPI DSI SS with the required timing paramters.

Returns
  None.

Note
  None.

Referenced by main().

void SetupIICIntrHandlers | ( | void |  | ) |

This function sets send, receive and error handlers for IIC interrupts.

Returns
  None.

Note
  None.

References ReceiveHandler(), SendHandler(), and StatusHandler().

int StartSensor | ( | void |  | ) |

This function starts camera sensor to transmit captured video.

Returns
  XST_SUCCESS if successful else XST_FAILURE.

Note
  None.

References SensorWriteData().